Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.ode
Class DormandPrince.Options

    java.lang.Object
      biouml.plugins.simulation.ode.DormandPrince.Options

Enclosing class:
  DormandPrince

public static class DormandPrince.Options
extends java.lang.Object

Field Summary
`static java.lang.String` | `STATISTICS_INTREMEDIATE`
`static java.lang.String` | `STATISTICS_OFF`
`static java.lang.String` | `STATISTICS_ON`

Constructor Summary
`DormandPrince.Options()`
`DormandPrince.Options(double initialStep, boolean stiffnessDetection, boolean eventLocation, java.lang.String statisticsMode)`

Method Summary
`boolean` | `getEventLocation()`
`double` | `getInitialStep()`
`java.lang.String` | `getStatisticsMode()`
`boolean` | `getStiffnessDetection()`
`void` | `setEventLocation(boolean eventLocation)`
`void` | `setInitialStep(double initialStep)`
`void` | `setStatisticsMode(java.lang.String statisticsMode)`
`void` | `setStiffnessDetection(boolean stiffnessDetection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATISTICS_ON

    public static final java.lang.String STATISTICS_ON

See Also:
  Constant Field Values

### STATISTICS_OFF

    public static final java.lang.String STATISTICS_OFF

See Also:
  Constant Field Values

### STATISTICS_INTREMEDIATE

    public static final java.lang.String STATISTICS_INTREMEDIATE

See Also:
  Constant Field Values

Constructor Detail

### DormandPrince.Options

    public DormandPrince.Options()

### DormandPrince.Options

    public DormandPrince.Options(double initialStep,
                                 boolean stiffnessDetection,
                                 boolean eventLocation,
                                 java.lang.String statisticsMode)

Method Detail

### getInitialStep

    public double getInitialStep()

### setInitialStep

    public void setInitialStep(double initialStep)

### getStiffnessDetection

    public boolean getStiffnessDetection()

### setStiffnessDetection

    public void setStiffnessDetection(boolean stiffnessDetection)

### getEventLocation

    public boolean getEventLocation()

### setEventLocation

    public void setEventLocation(boolean eventLocation)

### getStatisticsMode

    public java.lang.String getStatisticsMode()

### setStatisticsMode

    public void setStatisticsMode(java.lang.String statisticsMode)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.